Page MenuHomePhabricator

update elasticsearch curator to 5.6.0
Closed, ResolvedPublic

Description

The version of curator that we currently use (5.2.0) isn't compatible with elasticsearch 6. Which causes issues in a few cron on logtash servers (see blelow). Version 5.6.0 supports both elasticsearch 5 and 6.

Traceback (most recent call last):
  File "/usr/bin/curator", line 11, in <module>
    load_entry_point('elasticsearch-curator==5.2.0', 'console_scripts', 'curator')()
  File "/usr/lib/python2.7/dist-packages/click/core.py", line 716, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/click/core.py", line 696, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python2.7/dist-packages/click/core.py", line 889, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python2.7/dist-packages/click/core.py", line 534, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/curator/cli.py", line 211, in cli
    run(config, action_file, dry_run)
  File "/usr/lib/python2.7/dist-packages/curator/cli.py", line 158, in run
    client = get_client(**client_args)
  File "/usr/lib/python2.7/dist-packages/curator/utils.py", line 800, in get_client
    'Error: {0}'.format(e)
elasticsearch.exceptions.ElasticsearchException: Unable to create client connection to Elasticsearch.  Error: Elasticsearch version 6.5.4 incompatible with this version of Curator (5.2.0)

Details

Related Gerrit Patches:

Event Timeline

Gehel created this task.Mar 22 2019, 12:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2019, 12:36 PM

Note that we should take this as an opportunity to fix T216235 as well.

Change 498373 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch: use the new elasticsearch-curator APT component

https://gerrit.wikimedia.org/r/498373

Change 498373 merged by Gehel:
[operations/puppet@production] elasticsearch: use the new elasticsearch-curator APT component

https://gerrit.wikimedia.org/r/498373

Mentioned in SAL (#wikimedia-operations) [2019-03-22T14:33:34Z] <gehel> upgrading to elasticsearch-curator 5.6.0 on all elasticsearch nodes (including logstash) - T218991

Gehel claimed this task.Mar 22 2019, 3:09 PM
debt closed this task as Resolved.Apr 5 2019, 10:52 PM